{
  "name": "api",
  "type": "module",
  "main": "build/index.js",
  "scripts": {
    "test-e2e": "vitest --config ./test/integration/vitest.config.ts",
    "test-unit": "vitest --config ./test/unit/vitest.config.ts",
    "coverage": "vitest run --coverage --config ./test/integration/vitest.config.ts",
    "test-ui": "vitest --ui --config ./test/integration/vitest.config.ts --coverage.enabled=true",
    "dev": "tsx watch src/index.ts",
    "build": "tsc -p tsconfig.json",
    "start": "node ./build/src/index.js",
    "seed": "tsx src/seed/seeddb.ts"
  },
  "dependencies": {
    "@fastify/compress": "^6.4.0",
    "@fastify/cookie": "^9.1.0",
    "@fastify/env": "^4.2.0",
    "@fastify/helmet": "^11.1.1",
    "@fastify/swagger": "^8.10.1",
    "@fastify/swagger-ui": "^1.9.3",
    "@fastify/type-provider-typebox": "^3.5.0",
    "@prisma/client": "^5.3.1",
    "@sinclair/typebox": "^0.31.17",
    "@types/supertest": "^2.0.14",
    "ajv-errors": "^3.0.0",
    "bcrypt": "^5.1.1",
    "dotenv": "^16.3.1",
    "fastify": "^4.23.2",
    "fastify-plugin": "^4.5.1",
    "prisma": "^5.3.1"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.0",
    "@types/node": "^20.6.2",
    "@vitest/coverage-v8": "^0.34.6",
    "@vitest/ui": "^0.34.6",
    "supertest": "^6.3.3",
    "testcontainers": "^10.2.1",
    "tsx": "^3.12.10",
    "typescript": "^5.2.2",
    "vitest": "^0.34.6"
  }
}